package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFCK1OutrsData {

    private Map<String, Object> params;
    
    public MWFCK1OutrsData(Map<String, Object> params) {
        this.params = params;
    }

    public Long rsId() {
        return (Long) params.get("RS_ID");
    }

    public String rsPerioda() {
        return (String) params.get("RS_PERIODA");
    }

    public java.util.Date rsDatumplatnostiod() {
        return (java.util.Date) params.get("RS_DATUMPLATNOSTIOD");
    }

    public Double rsCastakzbyvajicivperiode() {
        return (Double) params.get("RS_CASTAKZBYVAJICIVPERIODE");
    }

    public java.util.Date rsDatumplatnostdo() {
        return (java.util.Date) params.get("RS_DATUMPLATNOSTDO");
    }

    public Long rsPocettransakcivperiode() {
        return (Long) params.get("RS_POCETTRANSAKCIVPERIODE");
    }

    public Long rsCislouctu() {
        return (Long) params.get("RS_CISLOUCTU");
    }

    public String rsUzivatelzmeny() {
        return (String) params.get("RS_UZIVATELZMENY");
    }

    public Double rsCastkalimitu() {
        return (Double) params.get("RS_CASTKALIMITU");
    }

    public String rsKodbanky() {
        return (String) params.get("RS_KODBANKY");
    }

    public String rsUcetprijemce() {
        return (String) params.get("RS_UCETPRIJEMCE");
    }

    public String rsNazevuctuprijemce() {
        return (String) params.get("RS_NAZEVUCTUPRIJEMCE");
    }

    public java.util.Date rsDatumposledniplatby() {
        return (java.util.Date) params.get("RS_DATUMPOSLEDNIPLATBY");
    }

    public Double rsVyseposledniplatby() {
        return (Double) params.get("RS_VYSEPOSLEDNIPLATBY");
    }

    public String rsStav() {
        return (String) params.get("RS_STAV");
    }

    public String rsNazevuctu() {
        return (String) params.get("RS_NAZEVUCTU");
    }

    public java.util.Date rsDatumposlednihopokusu() {
        return (java.util.Date) params.get("RS_DATUMPOSLEDNIHOPOKUSU");
    } 

}
